Bug 100421 - Crash when deleting nested tables
Summary: Crash when deleting nested tables
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.0.0.5 release
Hardware: All All
: medium major
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: target:5.3.0 target:5.2.0.1
Keywords: bibisected, regression
Depends on:
Blocks:
 
Reported: 2016-06-16 09:13 UTC by manuel.defranceschi
Modified: 2016-11-30 08:52 UTC (History)
4 users (show)

See Also:
Crash report or crash signature: ["SwFrame::Shrink(long,bool,bool)"]


Attachments
Try to delete the outer table and LO crash. (10.03 KB, application/vnd.oasis.opendocument.text)
2016-06-16 09:13 UTC, manuel.defranceschi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description manuel.defranceschi 2016-06-16 09:13:04 UTC
Created attachment 125690 [details]
Try to delete the outer table and LO crash.

Description:

If I insert five or more tables 10x15 one inside the other and then cancel the outer table(or the column or the row which contain the cell that contain the other tables) LO crashes. It seems that the dimension influence the problem: for example, at 8x13 with five tables LO doesn't crash, but with six tables it does, and at 100x10 it doesn't crash at all.

Steps:
1-Open Writer
2-Insert a table 10x15
3-Repeat step 2 for at least 5 time without change the cursor's position
4-Delete the outer table
At this point LO crash.

Affected version:

Version: 5.0.6.3
Build ID: 490fc03b25318460cfc54456516ea2519c11d1aa
Locale: it-IT (it_IT.UTF-8)
OS: openSUSE Leap 42.1 (x86_64)

Version: 5.1.3.2
Build ID: 644e4637d1d8544fd9f56425bd6cec110e49301b
CPU Threads: 2; UI Render: default; 
Locale: it-IT (it_IT.UTF-8)
OS: openSUSE Leap 42.1 (x86_64)

Version: 5.3.0.0.alpha0+
Build ID: a8bd44573b75d1399257d6f5d052611439607189
CPU Threads: 2; 
UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-06-13_23:46:49
Locale: it-IT (it_IT.UTF-8)
OS: openSUSE Leap 42.1 (x86_64)

Not affected version:

Version 3.6.7.2 (Build ID: e183d5b)
OS: openSUSE Leap 42.1 (x86_64)

Versione: 4.4.7.2
Build ID: f3153a8b245191196a4b6b9abd1d0da16eead600
Versione locale: it_IT.UTF-8
OS: openSUSE Leap 42.1 (x86_64)
Comment 1 Aron Budea 2016-06-17 06:34:49 UTC
Thank you for the detailed bug report.
Crash reproduced with LO 5.0.0.5, not reproduced with 4.4.0.3, both in Windows 7 => regression.
Comment 2 Caolán McNamara 2016-06-17 09:08:21 UTC
bibisecting suggests

commit 135e4d5c730b8b252eab3e375580a3a73d8204e6
Author: Michael Stahl <mstahl@redhat.com>
Date:   Thu Apr 23 22:52:39 2015 +0200

    related: tdf#90820 refactor SwFrm destruction

is the trigger, though I rather feel that's not at fault and we just got away with things earlier
Comment 3 Commit Notification 2016-06-17 09:36:22 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e41a694c8b4fd1503b31f3a9da326e9f7ddd1b79

Related: tdf#100421 crash in a11y on load of source odt

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2016-06-17 09:36:27 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4561119a8bab986df25a5ce2a544aa96394cbd5d

Resolves: tdf#100421, don't crash on deleting particular table

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2016-06-17 15:45:51 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f054ba24056dba34576bc43a86abb0b828917585&h=libreoffice-5-2

Related: tdf#100421 crash in a11y on load of source odt

It will be available in 5.2.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2016-06-17 15:45:55 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ff7028465c5c5cd30a9bb28ac6aa610e67c4e843&h=libreoffice-5-2

Resolves: tdf#100421, don't crash on deleting particular table

It will be available in 5.2.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Aron Budea 2016-06-24 03:13:07 UTC
Verified no crash in 5.2.0.1.